---
title: <a-link>
type: primitives
layout: docs
parent_section: primitives
source_code: src/extras/primitives/primitives/a-link.js
---

The link primitive provides a compact API to define links that resembles
the traditional `<a>` tag.

## Attributes

| Attribute             | Component Mapping              | Default Value |
|-----------------------|--------------------------------|---------------|
| href                  | link.href                      |               |
| title                 | link.title                     |               |
| src                   | link.src                       |               |
